Skip to main content
`Ctrl`+`K`

# numpy.polynomial.legendre.legcompanion

polynomial.legendre.legcompanion(c)

  Return the scaled companion matrix of c.

  The basis polynomials are scaled so that the companion matrix is symmetric when c is an Legendre basis polynomial. This provides better eigenvalue estimates than the unscaled case and for basis polynomials the eigenvalues are guaranteed to be real if `numpy.linalg.eigvalsh` is used to obtain them.

  Parameters:
    c array_like

      1-D array of Legendre series coefficients ordered from low to high degree.

  Returns:
    mat ndarray

      Scaled companion matrix of dimensions (deg, deg).